<?php
$parameters	= [
	'iprange' 	=> [
		'default' 			=> '10.0.0.0',
		'display'				=> 'fieldText',
		'key' 					=> 'iprange',
		'options' 			=> null,
		'title'					=> 'VPN_DATA_IPRANGE_DIS',
		'tooltip'				=> 'VPN_DATA_IPRANGE_TOOLTIP',
		'validator'			=> 'ip4',
		'validator-java'=> 'required:true, verifyIP: true',
	],
	/*
	'ipaddr' 	=> array(
		'default' 	=> '10.0.0.1',
		'display'	=> 'fieldText',
		'javaValidator'	=> '{verifyIP: true}',
		'key' 		=> 'ipaddr',
		'options' 	=> array(),
		'title'		=> 'VPN_DATA_IPADDR_DIS',
		'tooltip'	=> 'VPN_DATA_IPADDR_TOOLTIP',
	),
	*/
	'ipnetmask' 	=> [
		'default' 			=> '255.255.255.0',
		'display'				=> 'fieldText',
		'key' 					=> 'ipnetmask',
		'options' 			=> null,
		'title'					=> 'VPN_DATA_IPNETMASK_DIS',
		'tooltip'				=> 'VPN_DATA_IPNETMASK_TOOLTIP',
		'validator'			=> 'ip4',
		'validator-java'=> 'required:true, verifyIP: true',
	],
	/*
	'port' 		=> [
		'default' 			=> '1194',
		'display'				=> 'fieldText',
		'key' 					=> 'port',
		'options' 			=> [
			'int-range'	=> ['min' => 1084, 'max' => 65535],
		],
		'title'					=> 'VPN_DATA_PORT_DIS',
		'tooltip'				=> 'VPN_DATA_PORT_TOOLTIP',
		'validator'			=> 'int-range',
		'validator-java'=> 'required:true, range: [1084, 65535]',
	],
	 */
	'protocol' 	=> [
		'default' 			=> 'UDP',
		'display'				=> 'fieldSelect',
		'key' 					=> 'protocol',
		'title'					=> 'VPN_DATA_PROTOCOL_DIS',
		'tooltip'				=> 'VPN_DATA_PROTOCOL_TOOLTIP',
		'options' 			=> [
			'select' => [
				'udp' => 'PROTOCOL_UDP',
				'tcp' => 'PROTOCOL_TCP',
			],
		],
		'validator'			=> 'select',
		'validator-java'=> null,
	],
];

return $parameters;
